[arch-commits] Commit in pango-perl/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Apr 11 17:45:45 EDT 2009


    Date: Saturday, April 11, 2009 @ 17:45:45
  Author: jgc
Revision: 35296

add missing PKGBUILD

Added:
  pango-perl/trunk/PKGBUILD

----------+
 PKGBUILD |   28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)

Added: PKGBUILD
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2009-04-11 21:45:45 UTC (rev 35296)
@@ -0,0 +1,28 @@
+# $Id: $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=pango-perl
+_realname=Pango
+pkgver=1.220
+pkgrel=1
+pkgdesc="Perl bindings for Pango"
+arch=(i686 x86_64)
+license=('LGPL')
+url="http://gtk2-perl.sourceforge.net/"
+makedepends=('perl-extutils-pkgconfig' 'perl-extutils-depends')
+depends=('pango>=1.24.0' 'glib-perl>=1.221' 'cairo-perl>=1.061')
+options=('!emptydirs')
+source=(http://downloads.sourceforge.net/sourceforge/gtk2-perl/${_realname}-${pkgver}.tar.gz)
+md5sums=('ee4884ffe436fb936b4d84ea9c9372e3')
+
+build() {
+  cd "${srcdir}/${_realname}-${pkgver}"
+  # install module in vendor directories.
+  PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+  make || return 1
+  make install DESTDIR="${pkgdir}" || return 1
+
+  # remove perllocal.pod and .packlist
+  find "${pkgdir}" -name perllocal.pod -delete
+  find "${pkgdir}" -name .packlist -delete
+}



More information about the arch-commits mailing list